# Runtime

When a script is saved, a new runtime environment is created which contains all routes, policies, triggers, jobs, and object exports. Runtime environments can be accessed via the environment or the environment object scripts.&#x20;

"Runtime" decorators are evaluated during execution. The differentiation between static and runtime exists in Cortex because static runtime are evaluated at compile-time.

{% tabs %}
{% tab title="Runtime" %}

```javascript
return (env.read('runtime')).routes.map(route => {

  const { configuration: { method, path } } = route

  return `${method} /routes/${path}`

})
```

{% endtab %}

{% tab title="Result" %}

```javascript
{
  "data": [
    "get /routes/get_public_group",
    "get /routes/export",
    "get /routes/axon_stats_task_responses",
    "post /routes/c_patients_route",
    "post /routes/c_patients_callback",
    "post /routes/account_public_user_link",

        [ ... ]

    "get /routes/reports/:objectId/:outputFormat",
    "get /routes/review_tab_info",
    "get /routes/site_tab_info",
    "get /routes/task_details/:taskResponseId",
    "get /routes/task_step_details/:taskResponseId",
    "post /routes/uploadQueryRule"
  ],
  "hasMore": false,
  "object": "list"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.medable.com/cortex-api/decorators/runtime-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
